### Method

# Camel InternetAddress sanitize_ascii_domain

since: 3.44

#### Declaration [src]

    gboolean
    camel_internet_address_sanitize_ascii_domain (
      CamelInternetAddress* addr
    )

#### Description [src]

Checks the addresses in `addr` for any suspicious characters in the domain name and coverts those domains into their representation. In contrast to camel_internet_address_ensure_ascii_domains(), this converts the domains into ASCII only when needed, as returned by camel_hostname_utils_requires_ascii().

Available since: 3.44

#### Return value

Type: `gboolean`

`TRUE`, when converted at least one address.